## org.hibernate.ejb.criteria.predicate
Class BetweenPredicate<Y>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Boolean>
                      org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
                          org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate
                              org.hibernate.ejb.criteria.predicate.BetweenPredicate<Y>

All Implemented Interfaces:
  Serializable, Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, ExpressionImplementor<Boolean>, ParameterContainer, Renderable, SelectionImplementor<Boolean>, TupleElementImplementor<Boolean>

    public class BetweenPredicate<Y>

extends AbstractSimplePredicate
implements Serializable

Models a `BETWEEN` `Predicate`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`BetweenPredicate(CriteriaBuilderImpl criteriaBuilder, Expression<? extends Y> expression, Expression<? extends Y> lowerBound, Expression<? extends Y> upperBound)`
`BetweenPredicate(CriteriaBuilderImpl criteriaBuilder, Expression<? extends Y> expression, Y lowerBound, Y upperBound)`

Method Summary
`Expression<? extends Y>` `getExpression()`
`Expression<? extends Y>` `getLowerBound()`
`Expression<? extends Y>` `getUpperBound()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate
`getExpressions, getOperator`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
`getCompoundSelectionItems, isCompoundSelection, isNegated, not`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getValueHandlers`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### BetweenPredicate

    public BetweenPredicate(CriteriaBuilderImpl criteriaBuilder,
                            Expression<? extends Y> expression,
                            Y lowerBound,
                            Y upperBound)

### BetweenPredicate

    public BetweenPredicate(CriteriaBuilderImpl criteriaBuilder,
                            Expression<? extends Y> expression,
                            Expression<? extends Y> lowerBound,
                            Expression<? extends Y> upperBound)

Method Detail

### getExpression

    public Expression<? extends Y> getExpression()

### getLowerBound

    public Expression<? extends Y> getLowerBound()

### getUpperBound

    public Expression<? extends Y> getUpperBound()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.